net.minecraft.block

## Class BlockStep

- java.lang.Object
- - net.minecraft.block.Block
  - - net.minecraft.block.BlockHalfSlab
    - - net.minecraft.block.BlockStep

-     public class BlockStep
      extends BlockHalfSlab

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String[]` | `blockStepTypes` The list of the types of step blocks.

    - ### Fields inherited from class net.minecraft.block.Block

      `anvil, beacon, bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, cactus, cake, canBlockGrass, carrot, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cobblestoneWall, cocoaPlant, commandBlock, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, field_94337_cv, field_94338_cu, field_94339_ct, field_94340_cs, field_94341_cq, field_94342_cr, field_94343_co, field_94344_cp, field_94345_cm, field_94346_cn, field_94347_ck, field_94348_cl, field_96469_cy, fire, flowerPot, furnaceBurning, furnaceIdle, glass, glowStone, grass, gravel, ice, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, melon, melonStem, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, potato, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, sand, sandStone, sapling, signPost, signWall, silverfish, skull, slipperiness, slowSand, snow, soundAnvilFootstep, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundLadderFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundSnowFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneButton, stoneDoubleSlab, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodenButton, woodSingleSlab, workbench`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockStep(int par1, boolean par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_94332_a(IconRegister par1IconRegister)`
    `Icon` | `getBlockTextureFromSideAndMetadata(int par1, int par2)`
    `String` | `getFullSlabName(int par1)` Returns the slab block name with step type.
    `void` | `getSubBlocks(int par1, CreativeTabs par2CreativeTabs, List par3List)`
    `int` | `idDropped(int par1, Random par2Random, int par3)` Returns the ID of the items to drop on destruction.

    - ### Methods inherited from class net.minecraft.block.BlockHalfSlab

      `addCollisionBoxesToList, damageDropped, getDamageValue, idPicked, isOpaqueCube, onBlockPlaced, quantityDropped, renderAsNormalBlock, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, shouldSideBeRendered`

    - ### Methods inherited from class net.minecraft.block.Block

      `addBlockDestroyEffects, addBlockHitEffects, addCreativeItems, beginLeavesDecay, breakBlock, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canDropFromExplosion, canHarvestBlock, canPlaceBlockAt, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, collisionRayTrace, colorMultiplier, createTileEntity, dropBlockAsItem, dropBlockAsItemWithChance, fillWithRain, func_82505_u_, func_82506_l, func_94327_t_, func_94328_b_, func_94329_b, func_94330_A, func_94331_a, func_94334_h, func_96468_q_, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBoundsMaxX, getBlockBoundsMaxY, getBlockBoundsMaxZ, getBlockBoundsMinX, getBlockBoundsMinY, getBlockBoundsMinZ, getBlockBrightness, getBlockColor, getBlockDropped, getBlockHardness, getBlocksMovement, getBlockTexture, getBlockTextureFromSide, getCollisionBoundingBoxFromPool, getCreativeTabToDisplayOn, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getLocalizedName, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getRenderType, getSelectedBoundingBoxFromPool, getTickRandomly, getUnlocalizedName, harvestBlock, hasTileEntity, hasTileEntity, isAirBlock, isBeaconBase, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isLadder, isLeaves, isNormalCube, isProvidingStrongPower, isProvidingWeakPower, isWood, onBlockActivated, onBlockAdded, onBlockClicked, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockEventReceived, onBlockHarvested, onBlockPlacedBy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onNeighborBlockChange, onPlantGrow, onPostBlockPlaced, onSetBlockIDWithMetaData, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, removeBlockByPlayer, setBedOccupied, setBlockBounds, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setResistance, setStepSound, setTickRandomly, setUnlocalizedName, tickRate, updateTick, velocityToAddToEntity`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### blockStepTypes

          public static final String[] blockStepTypes

      The list of the types of step blocks.

  - ### Constructor Detail

    - #### BlockStep

          public BlockStep(int par1,
                   boolean par2)

  - ### Method Detail

    - #### getBlockTextureFromSideAndMetadata

          public Icon getBlockTextureFromSideAndMetadata(int par1,
                                                int par2)

      Overrides:
        `getBlockTextureFromSideAndMetadata` in class `Block`

    - #### func_94332_a

          public void func_94332_a(IconRegister par1IconRegister)

      Overrides:
        `func_94332_a` in class `Block`

    - #### idDropped

          public int idDropped(int par1,
                      Random par2Random,
                      int par3)

      Returns the ID of the items to drop on destruction.
      Overrides:
        `idDropped` in class `Block`

    - #### getFullSlabName

          public String getFullSlabName(int par1)

      Returns the slab block name with step type.
      Specified by:
        `getFullSlabName` in class `BlockHalfSlab`

    - #### getSubBlocks

          public void getSubBlocks(int par1,
                          CreativeTabs par2CreativeTabs,
                          List par3List)

      Overrides:
        `getSubBlocks` in class `Block`